Package com.collibra.dgc.core.api.dto.query.outputmodule

# Class ExportCSVRequest.Builder

Object
Builder

Enclosing class:
  `ExportCSVRequest`

public static final class ExportCSVRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExportCSVRequest`
  `build()`
  `ExportCSVRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ExportCSVRequest.Builder`
  `escape(String escape)`
  `ExportCSVRequest.Builder`
  `headerRow(boolean headerRow)`
  `ExportCSVRequest.Builder`
  `quote(String quote)`
  `ExportCSVRequest.Builder`
  `separator(String separator)`
  `ExportCSVRequest.Builder`
  `tableViewConfig(String tableViewConfig)`
  `String`
  `toString()`
  `ExportCSVRequest.Builder`
  `validationEnabled(boolean validationEnabled)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ExportCSVRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ExportCSVRequest.builder()`.
    Clone method for this Builder.

  - ### tableViewConfig

    public ExportCSVRequest.Builder tableViewConfig(String tableViewConfig)
    Returns:
      `this`.

  - ### validationEnabled

    public ExportCSVRequest.Builder validationEnabled(boolean validationEnabled)
    Returns:
      `this`.

  - ### separator

    public ExportCSVRequest.Builder separator(String separator)
    Returns:
      `this`.

  - ### quote

    public ExportCSVRequest.Builder quote(String quote)
    Returns:
      `this`.

  - ### escape

    public ExportCSVRequest.Builder escape(String escape)
    Returns:
      `this`.

  - ### headerRow

    public ExportCSVRequest.Builder headerRow(boolean headerRow)
    Returns:
      `this`.

  - ### build

    public ExportCSVRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`